;;;;;;;;;;;;;;;;;;;;MODELO DE LA JERARQUIA DE LA CIUDAD;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;ZONA METROPOLITANA DEL VALLE DE MEXICO;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;CONDICIONES INICIALES;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; se crean las razas utilizadas para identificar a las tortugas
breed [ciudad-optima ciudades-optima]
breed [ciudad-no-optima ciudades-no-optimas]
breed [ciudad-intermedia ciudades-intermedias]
breed[personas persona]
breed [empresas empresa]
personas-own [        ;; los agentes estan determinados por caracteristicas como el nivel de satisfacción,
   nivel-satisfaccion  ;;el ingreso, la educación, coordenas y distancia que tienen del centro
   ingreso
   educacion
  xc
  yc
  dist
  satisfecho?
  ]
empresas-own [  ;; las empresas representan el valor de cada anillo teniendo como carfacteristicas
  tipo
  productividad  ;; el tipo de industria y su productividad
  ]
patches-own[      ;; en cada patche se le determina un valor dependiendo de las coordenadas en las
  city?           ;; que se encuentre; determinado por el tipo de ciudad, el valor agregado censal
 VA               ;; bruto, los servicios, puesto de empleo y la renta segun su localización
 servicios
puesto-empleo
renta
]


  ;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;
;;;;;;;SETUP;;;;;;;;
;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;o
to setup
  ca              ;;se limpia el mundo
  reset-ticks     ;; se resetean los ticks

;; se generan los anillos concentricos mediante tortugas que mueren de diferentes tamaños

 if draw-rings? [

  create-turtles 1 [
    set pen-size 1
    set color green - 1
    set shape "ring"
    set size 37

    stamp
    die
  ]

  create-turtles 1 [
    set color yellow - 1
    set shape "ring"
    set size 50
    stamp
    die
  ]

  create-turtles 1 [
    set color orange - 1
    set shape "ring"
    set size 60
    stamp
    die
  ]


  create-turtles 1 [
    set color blue - 1
    set shape "ring"
    set size 70
    stamp
    die
  ]

    create-turtles 1 [
    set color pink - 1
    set shape "ring"
    set size 80

    stamp
    die
  ]]


;; se crea un deslizador con diferentes caracteristicas para la creacion de personas
;;con forma de personas, tamaño 2 que se encuentren en las coordenas 0,0
;;teniendo un ingreso, educación y nivel de satisfacción aleatorio

 if persons[
  create-personas initial-number-personas
  [
    set shape "person"
    set size 2
    setxy 0 0
set ingreso random 10000
set educacion random 10
set nivel-satisfaccion random 5
  ]]

;; se crea un deslizador para las empresas en donde tienen caracteristicas
;; de tamaño 1 en forma de empresas, ubicadas apartor de las coordenadas
;;0,0 que esten alrededor de 360 en todo el mundo y esten a 12 pasos
  if factory [
create-empresas initial-number-empresas
[
  set size 1
  set shape "factory"
  setxy 0 0
  set productividad random 10
  while [any? other empresas-here][
  lt random-float 360
  fd 12]]
]

;; los patches tiene un valor aleatorio de sus carfacteristicas
 ask patches [
 set servicios random 100
 set puesto-empleo random 10
 set VA random 459000000
 set renta random 45000
 ]

 end

;; se crea un boton e centro-periferia

to centro-periferia-personas

reset-ticks ;; se resetean los ticks


;; las personas cuentan con ingresos para que se localicen en diferentes zonas, coloreandose segun su tipo de ingreso
  ask personas[


if ingreso  > 700 and ingreso < 2000  [set color pink ]
if ingreso > 2000  and ingreso < 3400 [set color blue ]
if ingreso  > 3400 and ingreso < 4900  [set color orange]
if ingreso  > 4900 and ingreso < 6500  [set color yellow ]
if ingreso  > 6500 and ingreso < 10000 [set color red ]

;; las pñersonas tendran una educacion determinada y cada una contara con un nivel-satisfacción diferente

if educacion > 8 and educacion < 10 [ set nivel-satisfaccion 5]
if educacion > 6 and educacion < 8 [set nivel-satisfaccion 4]
if educacion > 4 and educacion < 6 [set nivel-satisfaccion 3]
if educacion > 2 and educacion < 4 [set nivel-satisfaccion 2]
if educacion > 0 and educacion < 2 [set nivel-satisfaccion 1]

 ]
;; las emresas tienen valores determinados que caracterizan su productividad
   ask empresas  [
 if productividad > 2 and productividad < 4 [set color 9]
 if productividad > 4 and productividad < 6 [set color 19]
 if productividad > 6 and productividad < 8 [set color 29]
 if productividad > 8 and productividad < 10 [set color 29]
   ]

;; cada empresa contiene un tipo de empresa
 ask empresas [
  if ( pycor > -40 and pycor < 40)and (pxcor > -40 and pxcor  < 40)
  [set productividad 0 + random 2
   set color pink
   set tipo "optima" ]
  if ( pycor > -35 and pycor < 35)and (pxcor > -35 and pxcor  < 35)
  [set productividad 2 + random 2
    set color blue
    set tipo "eficiente" ]
  if ( pycor > -29 and pycor < 29)and (pxcor > -29 and pxcor  < 29)
  [ set productividad 4 + random 2
    set color orange
    set tipo "competente"]
  if ( pycor > -21 and pycor < 21)and (pxcor > -21 and pxcor  < 21)
  [set productividad 6 + random 2
    set color yellow
    set tipo "insuficiente" ]
    if ( pycor > -17 and pycor < 17)and (pxcor > -17 and pxcor  < 17)
  [ set productividad 8 + random 2
    set color green
    set tipo "escaso"]



 ]


;; esta determinado por coordenadas lols valores qjue debe tener cada patches dentro de esas
;;y con distintos nombres para ser identificada

 ask patches [
 if ( pycor > -40 and pycor < 40)and (pxcor > -40 and pxcor  < 40)
[
 set servicios  0 + random 19
 set puesto-empleo  1 + random 19
 set VA  1001 + random 7999
 set renta  500 + random 2000
 set city? "ciudad-no-optima"
 ;;set pcolor pink]
]]

   ask patches [
 if ( pycor > -35 and pycor < 35)and (pxcor > -35 and pxcor  < 35)
[

 set servicios  21 + random 19
 set puesto-empleo  21 + random 19
 set VA    9001 + random 90999
 set renta 1999 +  random  3001
 set city? "ciudad-no-optima"
 ;;set pcolor blue
 ]
]

ask patches [
 if ( pycor > -29 and pycor < 29)and (pxcor > -29 and pxcor  < 29)
[
 set servicios  41 + random 19
  set puesto-empleo  41 + random 19
 set VA 100001 + random  899999
 set renta 5001 + random  1999
 set city? "ciudad-no-optima"
 ;;set pcolor orange
 ]
]

ask patches [
 if ( pycor > -23 and pycor < 23)and (pxcor > -23 and pxcor  < 23)
[
 set servicios  61 + random 19
 set puesto-empleo  61 + random 19
 set VA 1000001 + random 32999999
 set renta  7001 + random 2999
 set city? "ciudad-intermedia"
 ;;set pcolor yellow
  ]
]

ask patches [
 if ( pycor > -17 and pycor < 17)and (pxcor > -17 and pxcor  < 17)
[
 set servicios  81 + random  19
 set puesto-empleo 81 +  random 19
 set VA 34000001 + random  425600000
 set renta  10001 + random 34999
 set city? "ciudad-optima"
 ;;set pcolor red
  ]
]


end  ;; se finalizan las condiciones

;; se comienza el procedimiento para que corra el modelo

to go
;; las personas van en busca de su nivel de satisfaccion
ask personas [
  buscar
  reproduce-personas
  satisfaccion

]
tick
end
;; la reproducción de las personas desde las coordenadas 0,0 para que vayan dando pasos en 360 grados
;;y calculen

to reproduce-personas

 ask personas [
 rt random-float 360
 fd random-float 360
 set xc xc + (size * dx)
 set yc yc + (size * dy)
 set xcor xc set ycor yc
set dist sqrt (xc * xc + yc * yc)
  ifelse patch-at (xc - xcor) (yc - ycor) = nobody ;; si hay alguna tortuga fuera del mundo que no se oculte
                                                   ;;en caso contrario que se muestre
  [ hide-turtle ]
  [ show-turtle ]
    ]


  end
;; si los agentes estan satisfechos son verdaderos y van rotando y dando pasos en 360°
to buscar

  if satisfecho? != true [
  rt random-float 360
  fd random-float 10 ]


end
;; van en busca de su satisfacción
 to satisfaccion ;; empiezan el procedimiento para buscar la satisfaaccion de las personas


 ;; se les dice a las personas tienen ingresos, nivel de satisfaccion  de un valor a otro,
 ;;se les ordena que se muevan a un patche a los valores que corresponde  y se detengan
     ask personas [ if satisfecho? = false [
     ask personas with [
       ingreso >= 6500 and ingreso <= 10000 ] [
    if any? patches with [  VA >= 34000000 and VA <= 429000000 and
      puesto-empleo >= 80 and puesto-empleo <= 100 and servicios >= 80 and
      servicios <= 100 and renta >= 10000 and renta <= 45000 ] in-radius 3
    [move-to one-of patches with
      [ VA >= 34000000 and VA <= 429000000 and
        puesto-empleo >= 80 and puesto-empleo <= 100 and
         servicios >= 80 and servicios <= 100   and renta >= 10000 and renta <= 45000]
      set satisfecho? true stop ] ]


   ask personas with [
     ingreso >= 4900 and ingreso <= 6500

      ] [
     if any? patches with

      [VA >= 1000000 and VA <= 34000000 and
        puesto-empleo >= 60 and puesto-empleo <= 80
        and servicios >= 60 and servicios <= 80 and
        renta >= 7000 and renta <= 10000]
      [move-to one-of patches with [ VA >= 1000000 and VA <= 34000000 and
        puesto-empleo >= 60 and puesto-empleo <= 80
        and servicios >= 60 and servicios <= 80 and
        renta >= 7000 and renta <= 10000 ]set satisfecho? true stop ]]

    ask personas with [
      ingreso >= 3400 and ingreso <= 4900

     ] [
      if any? patches with [ VA >= 100000 and VA <= 1000000 and
        puesto-empleo >= 40 and puesto-empleo <= 60
        and servicios >= 40 and servicios <= 60 and
        renta >= 5000 and renta <= 7000]

    [move-to one-of patches with [
        VA >= 100000 and VA <= 1000000 and
        puesto-empleo >= 40 and puesto-empleo <= 60
        and servicios >= 40 and servicios <= 60 and
        renta >= 5000 and renta <= 7000] set satisfecho? true stop ]]


   ask personas with [
     ingreso >= 2000 and ingreso <= 3400

     ] [
    if any? patches with [  VA >= 9000 and VA <= 100000 and
        puesto-empleo >= 40 and puesto-empleo <= 80 and
        servicios >= 20 and servicios <= 40 and
        renta >= 2000 and renta <= 5000 ]
    [move-to one-of patches with [
        VA >= 9000 and VA <= 100000 and
        puesto-empleo >= 40 and puesto-empleo <= 80 and
        servicios >= 20 and servicios <= 40 and
        renta >= 2000 and renta <= 5000]set satisfecho? true stop ]]

    ask personas with [
      ingreso >= 700 and ingreso <= 2000

       ] [
    if any? patches with [ VA >= 1000 and VA <= 9000 and
         puesto-empleo >= 0 and puesto-empleo <= 20 and
         servicios >= 0 and servicios <= 20 and
        renta >= 1500 and renta <= 2000  ]
    [move-to one-of patches with [
        VA >= 1000 and VA <= 9000 and
         puesto-empleo >= 0 and puesto-empleo <= 20 and
         servicios >= 0 and servicios <= 20 and
        renta >= 1500 and renta <= 2000 ]set satisfecho? true stop ]]


     ]]
 end
@#$#@#$#@
GRAPHICS-WINDOW
210
10
706
527
40
40
6.0
1
10
1
1
1
0
1
1
1
-40
40
-40
40
0
0
1
ticks
30.0

BUTTON
95
10
158
43
NIL
go
T
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

SWITCH
10
90
127
123
draw-rings?
draw-rings?
0
1
-1000

SWITCH
10
165
117
198
factory
factory
0
1
-1000

MONITOR
745
15
957
60
ingreso muy alto
count personas with [ color = red]
1
1
11

MONITOR
750
235
857
280
ingreso muy bajo
count personas with [ color = pink]
17
1
11

MONITOR
750
180
827
225
ingreso bajo
count personas with [ color = blue]
17
1
11

MONITOR
750
125
842
170
ingreso bueno
count personas with [ color = orange]
17
1
11

MONITOR
745
70
822
115
ingreso alto
count personas with [ color = yellow]
17
1
11

BUTTON
10
10
92
43
NIL
setup
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

SWITCH
10
125
112
158
persons
persons
0
1
-1000

MONITOR
980
50
1097
95
empresas centrales
count empresas with [ color = green]
17
1
11

MONITOR
980
110
1087
155
empresas anillo 2
count empresas with [ color = yellow]
17
1
11

MONITOR
980
175
1087
220
empresas anillo 3
count empresas with [ color = orange]
17
1
11

MONITOR
985
240
1092
285
empresas anillo 4
count empresas with [ color = blue]
17
1
11

MONITOR
985
300
1092
345
empresas anillo 5
count empresas with [ color = pink]
17
1
11

SLIDER
0
290
202
323
initial-number-empresas
initial-number-empresas
50
1500
1500
1
1
NIL
HORIZONTAL

CHOOSER
5
205
197
250
escenarios
escenarios
"centro-periferia-personas" "centro-periferia-empresas"
1

SLIDER
5
255
187
288
initial-number-personas
initial-number-personas
50
1500
50
1
1
NIL
HORIZONTAL

BUTTON
10
45
182
78
NIL
centro-periferia-personas
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

@#$#@#$#@
## WHAT IS IT?

En este modelo el objetivo es hacer una representacion de la dinamica de la población sobre la toma de desiciones para localizarse en algun lugar, donde cada tortuga camina un paso de su lugar de ubicacion, estas toman la desicion de ubicarse en un lugar central donde obtenga cierto nivel de satisfacción, el punto de origen es (0,0), considerado el màs satisfactorio.

En la simulación a cada paso de la tortuga de su ubicación se van desplazando por el nivel de concentración, provocando una expansión hacia la periferia, ubicandose en un patche que tenga mayor beneficio.

## HOW IT WORKS

* Las tortugas se ubican en en el área central ya que cada patche cuenta con mayores beneficios entre mas cerca se encuentre del origen.

* A mayor distancia del origen menor son los beneficios que tienen las tortugas.

* Se determina un patron de distribución, en el cual hay una jerarquía y el de mayor impotancia gana más tortugas.

* Conforme se van concentrando en el origen, se van desplazando hacia el siguiente anillo.

## HOW TO USE IT

Se oprime el boton empezar y se presenta el mundo de forma aleatoria, despues se oprime
el boton go para que las personas vayan en busca de una parcela que les convenga.
Para demostrar la ley de zipf se oprime el boton centro-periferia y se muestra
como las personas se les asigna un tipo de ingreso para que encuentren la parcela
que les conviene localizarse.

## THINGS TO NOTICE

(suggested things for the user to notice while running the model)

## THINGS TO TRY

(suggested things for the user to try to do (move sliders, switches, etc.) with the model)

## EXTENDING THE MODEL

(suggested things to add or change in the Code tab to make the model more complicated, detailed, accurate, etc.)

## NETLOGO FEATURES

(interesting or unusual features of NetLogo that the model uses, particularly in the Code tab; or where workarounds were needed for missing features)

## RELATED MODELS

(models in the NetLogo Models Library and elsewhere which are of related interest)

## CREDITS AND REFERENCES

(a reference to the model's URL on the web if it has one, as well as any other necessary credits, citations, and links)
@#$#@#$#@
default
true
0
Polygon -7500403 true true 150 5 40 250 150 205 260 250

airplane
true
0
Polygon -7500403 true true 150 0 135 15 120 60 120 105 15 165 15 195 120 180 135 240 105 270 120 285 150 270 180 285 210 270 165 240 180 180 285 195 285 165 180 105 180 60 165 15

arrow
true
0
Polygon -7500403 true true 150 0 0 150 105 150 105 293 195 293 195 150 300 150

box
false
0
Polygon -7500403 true true 150 285 285 225 285 75 150 135
Polygon -7500403 true true 150 135 15 75 150 15 285 75
Polygon -7500403 true true 15 75 15 225 150 285 150 135
Line -16777216 false 150 285 150 135
Line -16777216 false 150 135 15 75
Line -16777216 false 150 135 285 75

bug
true
0
Circle -7500403 true true 96 182 108
Circle -7500403 true true 110 127 80
Circle -7500403 true true 110 75 80
Line -7500403 true 150 100 80 30
Line -7500403 true 150 100 220 30

butterfly
true
0
Polygon -7500403 true true 150 165 209 199 225 225 225 255 195 270 165 255 150 240
Polygon -7500403 true true 150 165 89 198 75 225 75 255 105 270 135 255 150 240
Polygon -7500403 true true 139 148 100 105 55 90 25 90 10 105 10 135 25 180 40 195 85 194 139 163
Polygon -7500403 true true 162 150 200 105 245 90 275 90 290 105 290 135 275 180 260 195 215 195 162 165
Polygon -16777216 true false 150 255 135 225 120 150 135 120 150 105 165 120 180 150 165 225
Circle -16777216 true false 135 90 30
Line -16777216 false 150 105 195 60
Line -16777216 false 150 105 105 60

car
false
0
Polygon -7500403 true true 300 180 279 164 261 144 240 135 226 132 213 106 203 84 185 63 159 50 135 50 75 60 0 150 0 165 0 225 300 225 300 180
Circle -16777216 true false 180 180 90
Circle -16777216 true false 30 180 90
Polygon -16777216 true false 162 80 132 78 134 135 209 135 194 105 189 96 180 89
Circle -7500403 true true 47 195 58
Circle -7500403 true true 195 195 58

circle
false
0
Circle -7500403 true true 0 0 300

circle 2
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240

cow
false
0
Polygon -7500403 true true 200 193 197 249 179 249 177 196 166 187 140 189 93 191 78 179 72 211 49 209 48 181 37 149 25 120 25 89 45 72 103 84 179 75 198 76 252 64 272 81 293 103 285 121 255 121 242 118 224 167
Polygon -7500403 true true 73 210 86 251 62 249 48 208
Polygon -7500403 true true 25 114 16 195 9 204 23 213 25 200 39 123

cylinder
false
0
Circle -7500403 true true 0 0 300

dot
false
0
Circle -7500403 true true 90 90 120

face happy
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 255 90 239 62 213 47 191 67 179 90 203 109 218 150 225 192 218 210 203 227 181 251 194 236 217 212 240

face neutral
false
0
Circle -7500403 true true 8 7 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Rectangle -16777216 true false 60 195 240 225

face sad
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 168 90 184 62 210 47 232 67 244 90 220 109 205 150 198 192 205 210 220 227 242 251 229 236 206 212 183

factory
false
0
Rectangle -7500403 true true 76 194 285 270
Rectangle -7500403 true true 36 95 59 231
Rectangle -16777216 true false 90 210 270 240
Line -7500403 true 90 195 90 255
Line -7500403 true 120 195 120 255
Line -7500403 true 150 195 150 240
Line -7500403 true 180 195 180 255
Line -7500403 true 210 210 210 240
Line -7500403 true 240 210 240 240
Line -7500403 true 90 225 270 225
Circle -1 true false 37 73 32
Circle -1 true false 55 38 54
Circle -1 true false 96 21 42
Circle -1 true false 105 40 32
Circle -1 true false 129 19 42
Rectangle -7500403 true true 14 228 78 270

fish
false
0
Polygon -1 true false 44 131 21 87 15 86 0 120 15 150 0 180 13 214 20 212 45 166
Polygon -1 true false 135 195 119 235 95 218 76 210 46 204 60 165
Polygon -1 true false 75 45 83 77 71 103 86 114 166 78 135 60
Polygon -7500403 true true 30 136 151 77 226 81 280 119 292 146 292 160 287 170 270 195 195 210 151 212 30 166
Circle -16777216 true false 215 106 30

flag
false
0
Rectangle -7500403 true true 60 15 75 300
Polygon -7500403 true true 90 150 270 90 90 30
Line -7500403 true 75 135 90 135
Line -7500403 true 75 45 90 45

flower
false
0
Polygon -10899396 true false 135 120 165 165 180 210 180 240 150 300 165 300 195 240 195 195 165 135
Circle -7500403 true true 85 132 38
Circle -7500403 true true 130 147 38
Circle -7500403 true true 192 85 38
Circle -7500403 true true 85 40 38
Circle -7500403 true true 177 40 38
Circle -7500403 true true 177 132 38
Circle -7500403 true true 70 85 38
Circle -7500403 true true 130 25 38
Circle -7500403 true true 96 51 108
Circle -16777216 true false 113 68 74
Polygon -10899396 true false 189 233 219 188 249 173 279 188 234 218
Polygon -10899396 true false 180 255 150 210 105 210 75 240 135 240

house
false
0
Rectangle -7500403 true true 45 120 255 285
Rectangle -16777216 true false 120 210 180 285
Polygon -7500403 true true 15 120 150 15 285 120
Line -16777216 false 30 120 270 120

leaf
false
0
Polygon -7500403 true true 150 210 135 195 120 210 60 210 30 195 60 180 60 165 15 135 30 120 15 105 40 104 45 90 60 90 90 105 105 120 120 120 105 60 120 60 135 30 150 15 165 30 180 60 195 60 180 120 195 120 210 105 240 90 255 90 263 104 285 105 270 120 285 135 240 165 240 180 270 195 240 210 180 210 165 195
Polygon -7500403 true true 135 195 135 240 120 255 105 255 105 285 135 285 165 240 165 195

line
true
0
Line -7500403 true 150 0 150 300

line half
true
0
Line -7500403 true 150 0 150 150

pentagon
false
0
Polygon -7500403 true true 150 15 15 120 60 285 240 285 285 120

person
false
0
Circle -7500403 true true 110 5 80
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Rectangle -7500403 true true 127 79 172 94
Polygon -7500403 true true 195 90 240 150 225 180 165 105
Polygon -7500403 true true 105 90 60 150 75 180 135 105

plant
false
0
Rectangle -7500403 true true 135 90 165 300
Polygon -7500403 true true 135 255 90 210 45 195 75 255 135 285
Polygon -7500403 true true 165 255 210 210 255 195 225 255 165 285
Polygon -7500403 true true 135 180 90 135 45 120 75 180 135 210
Polygon -7500403 true true 165 180 165 210 225 180 255 120 210 135
Polygon -7500403 true true 135 105 90 60 45 45 75 105 135 135
Polygon -7500403 true true 165 105 165 135 225 105 255 45 210 60
Polygon -7500403 true true 135 90 120 45 150 15 180 45 165 90

ring
true
0
Circle -7500403 false true -1 -1 301

satisfaccion
true
0

sheep
false
15
Circle -1 true true 203 65 88
Circle -1 true true 70 65 162
Circle -1 true true 150 105 120
Polygon -7500403 true false 218 120 240 165 255 165 278 120
Circle -7500403 true false 214 72 67
Rectangle -1 true true 164 223 179 298
Polygon -1 true true 45 285 30 285 30 240 15 195 45 210
Circle -1 true true 3 83 150
Rectangle -1 true true 65 221 80 296
Polygon -1 true true 195 285 210 285 210 240 240 210 195 210
Polygon -7500403 true false 276 85 285 105 302 99 294 83
Polygon -7500403 true false 219 85 210 105 193 99 201 83

square
false
0
Rectangle -7500403 true true 30 30 270 270

square 2
false
0
Rectangle -7500403 true true 30 30 270 270
Rectangle -16777216 true false 60 60 240 240

star
false
0
Polygon -7500403 true true 151 1 185 108 298 108 207 175 242 282 151 216 59 282 94 175 3 108 116 108

target
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240
Circle -7500403 true true 60 60 180
Circle -16777216 true false 90 90 120
Circle -7500403 true true 120 120 60

tree
false
0
Circle -7500403 true true 118 3 94
Rectangle -6459832 true false 120 195 180 300
Circle -7500403 true true 65 21 108
Circle -7500403 true true 116 41 127
Circle -7500403 true true 45 90 120
Circle -7500403 true true 104 74 152

triangle
false
0
Polygon -7500403 true true 150 30 15 255 285 255

triangle 2
false
0
Polygon -7500403 true true 150 30 15 255 285 255
Polygon -16777216 true false 151 99 225 223 75 224

truck
false
0
Rectangle -7500403 true true 4 45 195 187
Polygon -7500403 true true 296 193 296 150 259 134 244 104 208 104 207 194
Rectangle -1 true false 195 60 195 105
Polygon -16777216 true false 238 112 252 141 219 141 218 112
Circle -16777216 true false 234 174 42
Rectangle -7500403 true true 181 185 214 194
Circle -16777216 true false 144 174 42
Circle -16777216 true false 24 174 42
Circle -7500403 false true 24 174 42
Circle -7500403 false true 144 174 42
Circle -7500403 false true 234 174 42

turtle
true
0
Polygon -10899396 true false 215 204 240 233 246 254 228 266 215 252 193 210
Polygon -10899396 true false 195 90 225 75 245 75 260 89 269 108 261 124 240 105 225 105 210 105
Polygon -10899396 true false 105 90 75 75 55 75 40 89 31 108 39 124 60 105 75 105 90 105
Polygon -10899396 true false 132 85 134 64 107 51 108 17 150 2 192 18 192 52 169 65 172 87
Polygon -10899396 true false 85 204 60 233 54 254 72 266 85 252 107 210
Polygon -7500403 true true 119 75 179 75 209 101 224 135 220 225 175 261 128 261 81 224 74 135 88 99

wheel
false
0
Circle -7500403 true true 3 3 294
Circle -16777216 true false 30 30 240
Line -7500403 true 150 285 150 15
Line -7500403 true 15 150 285 150
Circle -7500403 true true 120 120 60
Line -7500403 true 216 40 79 269
Line -7500403 true 40 84 269 221
Line -7500403 true 40 216 269 79
Line -7500403 true 84 40 221 269

wolf
false
0
Polygon -16777216 true false 253 133 245 131 245 133
Polygon -7500403 true true 2 194 13 197 30 191 38 193 38 205 20 226 20 257 27 265 38 266 40 260 31 253 31 230 60 206 68 198 75 209 66 228 65 243 82 261 84 268 100 267 103 261 77 239 79 231 100 207 98 196 119 201 143 202 160 195 166 210 172 213 173 238 167 251 160 248 154 265 169 264 178 247 186 240 198 260 200 271 217 271 219 262 207 258 195 230 192 198 210 184 227 164 242 144 259 145 284 151 277 141 293 140 299 134 297 127 273 119 270 105
Polygon -7500403 true true -1 195 14 180 36 166 40 153 53 140 82 131 134 133 159 126 188 115 227 108 236 102 238 98 268 86 269 92 281 87 269 103 269 113

x
false
0
Polygon -7500403 true true 270 75 225 30 30 225 75 270
Polygon -7500403 true true 30 75 75 30 270 225 225 270

@#$#@#$#@
NetLogo 5.3.1
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
default
0.0
-0.2 0 0.0 1.0
0.0 1 1.0 0.0
0.2 0 0.0 1.0
link direction
true
0
Line -7500403 true 150 150 90 180
Line -7500403 true 150 150 210 180

satisfaccion
0.0
-0.2 0 0.0 1.0
0.0 1 1.0 0.0
0.2 0 0.0 1.0
link direction
true
0
Line -7500403 true 150 150 90 180
Line -7500403 true 150 150 210 180

@#$#@#$#@
1
@#$#@#$#@
